---
lang: en
title: 'API docs: repository.datasource'
keywords: LoopBack 4.0, LoopBack 4
sidebar: lb4_sidebar
permalink: /doc/en/lb4/apidocs.repository.datasource.html
---

<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@loopback/repository](./repository.md) &gt; [DataSource](./repository.datasource.md)

## DataSource interface

DataSource denotes a configured connector

<b>Signature:</b>

```typescript
export interface DataSource 
```

## Properties

|  Property | Type | Description |
|  --- | --- | --- |
|  [connector](./repository.datasource.connector.md) | <code>Connector</code> |  |
|  [name](./repository.datasource.name.md) | <code>string</code> |  |
|  [settings](./repository.datasource.settings.md) | <code>AnyObject</code> |  |


